import { U as a, V as e, B as t, M as s } from "./chunk-LXBSTHXV-CoED0jHL-Cc8w4JL1.js";
import { _ as o } from "./index-BDD0CD9m.js";
var n = {
  parser: t,
  get db() {
    return new s(2);
  },
  renderer: e,
  styles: a,
  init: /* @__PURE__ */ o((r) => {
    r.state || (r.state = {}), r.state.arrowMarkerAbsolute = r.arrowMarkerAbsolute;
  }, "init")
};
export {
  n as diagram
};
